Package ch.qos.logback.classic.net.server

## Class ServerSocketReceiver

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.net.ReceiverBase
    - - ch.qos.logback.classic.net.server.ServerSocketReceiver

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `SSLServerSocketReceiver`

    public class ServerSocketReceiver
    extends ReceiverBase

A logging socket server that is configurable using Joran.

Author:
  Carl Harris

### Field Summary

Fields
`static int` `DEFAULT_BACKLOG` Default `ServerSocket` backlog

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`ServerSocketReceiver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient>` `createServerListener​(java.net.ServerSocket socket)`
`protected ServerRunner` `createServerRunner​(ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient> listener, java.util.concurrent.Executor executor)`
`java.lang.String` `getAddress()` Gets the local address for the listener.
`int` `getBacklog()` Gets the listener queue depth.
`protected java.net.InetAddress` `getInetAddress()` Gets the local address for the listener.
`int` `getPort()` Gets the local port for the listener.
`protected java.lang.Runnable` `getRunnableTask()` Provides the runnable task this receiver will execute.
`protected javax.net.ServerSocketFactory` `getServerSocketFactory()` Gets the server socket factory.
`protected void` `onStop()` Allows a subclass to participate in receiver shutdown.
`void` `setAddress​(java.lang.String address)` Sets the local address for the listener.
`void` `setBacklog​(int backlog)` Sets the listener queue depth.
`void` `setPort​(int port)` Sets the local port for the listener.
`protected boolean` `shouldStart()` Starts the server.

### Methods inherited from class ch.qos.logback.classic.net.ReceiverBase

`isStarted, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_BACKLOG

    public static final int DEFAULT_BACKLOG

Default `ServerSocket` backlog

See Also:
  Constant Field Values

### Constructor Detail

#### ServerSocketReceiver

    public ServerSocketReceiver()

### Method Detail

#### shouldStart

    protected boolean shouldStart()

Starts the server.

Specified by:
  `shouldStart` in class `ReceiverBase`
Returns:
  flag indicating whether this receiver should start

#### createServerListener

    protected ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient> createServerListener​(java.net.ServerSocket socket)

#### createServerRunner

    protected ServerRunner createServerRunner​(ServerListener<ch.qos.logback.classic.net.server.RemoteAppenderClient> listener,
                                              java.util.concurrent.Executor executor)

#### getRunnableTask

    protected java.lang.Runnable getRunnableTask()

Description copied from class: `ReceiverBase`
Provides the runnable task this receiver will execute.

Specified by:
  `getRunnableTask` in class `ReceiverBase`
Returns:
  runnable task

#### onStop

    protected void onStop()

Allows a subclass to participate in receiver shutdown.

Specified by:
  `onStop` in class `ReceiverBase`

#### getServerSocketFactory

    protected javax.net.ServerSocketFactory getServerSocketFactory()
                                                            throws java.lang.Exception

Gets the server socket factory.

Subclasses may override to provide a custom factory.

Returns:
  server socket factory
Throws:
  `java.lang.Exception`

#### getInetAddress

    protected java.net.InetAddress getInetAddress()
                                           throws java.net.UnknownHostException

Gets the local address for the listener.

Returns:
  an `InetAddress` representation of the local address.
Throws:
  `java.net.UnknownHostException`

#### getPort

    public int getPort()

Gets the local port for the listener.

Returns:
  local port

#### setPort

    public void setPort​(int port)

Sets the local port for the listener.

Parameters:
  `port` - the local port to set

#### getBacklog

    public int getBacklog()

Gets the listener queue depth.

This represents the number of connected clients whose connections have not yet been accepted.

Returns:
  queue depth
See Also:
  `ServerSocket`

#### setBacklog

    public void setBacklog​(int backlog)

Sets the listener queue depth.

This represents the number of connected clients whose connections have not yet been accepted.

Parameters:
  `backlog` - the queue depth to set
See Also:
  `ServerSocket`

#### getAddress

    public java.lang.String getAddress()

Gets the local address for the listener.

Returns:
  a string representation of the local address

#### setAddress

    public void setAddress​(java.lang.String address)

Sets the local address for the listener.

Parameters:
  `address` - a host name or a string representation of an IP address